Name: iptables
Version: 1.4.0
Release: alt0.M41.1

Summary: Tools for managing Linux kernel packet filtering capabilities
License: GPL
Group: System/Kernel and hardware
Url: http://www.netfilter.org/projects/iptables/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: ftp://ftp.netfilter.org/pub/iptables/%name-%version.tar
Source1: iptables.init
Source2: iptables_data
Source3: iptables_params
Source4: iptables_modules

Patch1: iptables-1.4.0-alt-iptc-defs.patch
Patch2: iptables-1.4.0-alt-modprobe.patch
Patch3: iptables-1.4.0-alt-parse_port.patch
Patch4: iptables-1.4.0-alt-shared.patch
Patch5: iptables-1.4.0-alt-eperm.patch
Patch6: iptables-1.4.0-alt-dump_entry.patch
Patch7: iptables-1.4.0-alt-compile.patch
Patch8: iptables-1.4.0-alt-warnings.patch

%description
Iptables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.  Several different tables may
be defined.  Each table contains a number of built-in chains and may
also contain user-defined chains.

Each chain is a list of rules which can match a set of packets.  Each rule
specifies what to do with a packet that matches.  This is called a
`target', which may be a jump to a user-defined chain in the same table.

%package ipv6
Summary: IPv6 support for iptables
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description ipv6
Ip6tables is used to set up, maintain, and inspect the tables of IPv6
packet filter rules in the Linux kernel.  Several different tables may
be defined.  Each table contains a number of built-in chains and may
also contain user-defined chains.

Each chain is a list of rules which can match a set of packets.  Each rule
specifies what to do with a packet that matches.  This is called a
`target', which may be a jump to a user-defined chain in the same table.

%package devel
Summary: iptables development files
Group: Development/C
Requires: %name = %version-%release
Requires: %name-ipv6 = %version-%release

%description devel
Iptables is used to set up, maintain, and inspect the tables of IP packet
filter rules in the Linux kernel.

This package contains development files required to build software that
operates with netfilter.

%package devel-static
Summary: iptables static development files
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Iptables is used to set up, maintain, and inspect the tables of IP packet
filter rules in the Linux kernel.

This package contains static library required to build software that
operates with netfilter.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
find -type f -print0 |
	xargs -r0 grep -FZl /usr/local/lib/ -- |
	xargs -r0 %__subst 's|/usr/local/lib/|/%_lib/|' --

%build
%__make \
	PREFIX=%prefix \
	BINDIR=/sbin \
	LIBDIR=/%_lib \
	KERNEL_DIR=%_prefix \
	KBUILD_OUTPUT=%_prefix \
	CC=%__cc \
	COPT_FLAGS='%optflags' \
	LDLIBS='-ldl' \
	LDFLAGS='-Wl,--as-needed' \
	EXT_LDFLAGS='-Wl,--as-needed' \
	#

%install
make install install-experimental install-devel \
	DESTDIR=%buildroot \
	PREFIX=%prefix \
	BINDIR=/sbin \
	LIBDIR=/%_lib \
	MANDIR=%_mandir \
	#
mkdir -p %buildroot%_libdir
pushd %buildroot/%_lib
	for f in lib*; do
		ln -s ../../%_lib/$f %buildroot%_libdir/${f%%.0.0}
	done
popd
mv %buildroot/%_lib/*.a %buildroot%_libdir/

mkdir -p %buildroot%_includedir/libiptc
install -pm644 include/*.h %buildroot%_includedir/
install -pm644 include/libiptc/*.h %buildroot%_includedir/libiptc/

install -pDm755 %_sourcedir/iptables.init %buildroot%_initdir/iptables
cp -p %buildroot%_initdir/ip{,6}tables
%__subst -p s/iptables/ip6tables/g %buildroot%_initdir/ip6tables

install -pDm600 %_sourcedir/iptables_params %buildroot%_sysconfdir/sysconfig/iptables_params
cp -p %buildroot%_sysconfdir/sysconfig/ip{,6}tables_params
%__subst -p s/iptables/ip6tables/g %buildroot%_sysconfdir/sysconfig/ip6tables_params

install -pDm600 %_sourcedir/iptables_data %buildroot%_sysconfdir/sysconfig/iptables
cp -p %buildroot%_sysconfdir/sysconfig/ip{,6}tables
%__subst -p s/iptables/ip6tables/g %buildroot%_sysconfdir/sysconfig/ip6tables

install -pDm600 %_sourcedir/iptables_modules %buildroot%_sysconfdir/sysconfig/iptables_modules
cp -p %buildroot%_sysconfdir/sysconfig/ip{,6}tables_modules
%__subst -p s/iptables/ip6tables/g %buildroot%_sysconfdir/sysconfig/ip6tables_modules

%post
%post_ldconfig
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add iptables
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del iptables
fi

%postun -p %postun_ldconfig

%post ipv6
%post_ldconfig
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add ip6tables
fi

%preun ipv6
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del ip6tables
fi

%postun ipv6 -p %postun_ldconfig

%files
%config(noreplace) %_sysconfdir/sysconfig/iptables*
%doc INCOMPATIBILITIES
%config %_initdir/iptables
/sbin/iptables*
%_man8dir/iptables*
%dir /%_lib/iptables
/%_lib/iptables/libipt*
/%_lib/iptables/libxt*
/%_lib/libipt*.so.*
/%_lib/libipq*.so.*

%files ipv6
%config(noreplace) %_sysconfdir/sysconfig/ip6tables*
%config %_initdir/ip6tables
/sbin/ip6tables*
%_man8dir/ip6tables*
%dir /%_lib/iptables
/%_lib/iptables/libip6t*
/%_lib/libip6t*.so.*

%files devel
%_includedir/*
%_libdir/lib*.so
%_man3dir/*

%files devel-static
%_libdir/lib*.a

%changelog
* Thu Nov 19 2009 Alexey I. Froloff <raorn@altlinux.org> 1.4.0-alt0.M41.1
- Bacported to 4.1/branch:
  * Tue May 13 2008 Dmitry V. Levin <ldv@altlinux> 1.4.0-alt2
  - Fixed build to use glibc-kernheaders again.
  - Fixed compilation warnings.
  * Sun May 11 2008 Valery Inozemtsev <shrek@altlinux> 1.4.0-alt1
  - Updated to 1.4.0

* Sat Dec 09 2006 Dmitry V. Levin <ldv@altlinux.org> 1.3.7-alt1
- Updated to 1.3.7.
- Fixed IPT_LIB_DIR and IP6T_LIB_DIR.

* Sat Jul 01 2006 Dmitry V. Levin <ldv@altlinux.org> 1.3.5-alt4
- Build libipt_recent.so (closes #9622).

* Fri Mar 03 2006 Dmitry V. Levin <ldv@altlinux.org> 1.3.5-alt3
- Updated modprobe patch.

* Wed Mar 01 2006 Dmitry V. Levin <ldv@altlinux.org> 1.3.5-alt2
- Updated to svn snapshot 6466.

* Mon Feb 27 2006 Dmitry V. Levin <ldv@altlinux.org> 1.3.5-alt1
- Updated to 1.3.5.
- Reviewed patches, removed obsolete ones, reworked all the rest.
- Rewritten startup script and related stuff.

* Tue May 24 2005 Dmitry V. Levin <ldv@altlinux.org> 1.3.1-alt2
- Added multilib support (mouse, closes #6745).

* Fri Apr 29 2005 Anton D. Kachalov <mouse@altlinux.org> 1.3.1-alt1.1
- multilib support

* Tue Mar 16 2005 Alexey Voinov <voins@altlinux.ru> 1.3.1-alt1
- new version (1.3.1)
- makefile patch updated
- freebug patch is no longer needed
- modprobe patch updated
- iptcdefs patch added (they're idiots!!!)

* Fri Oct 29 2004 Alexey Voinov <voins@altlinux.ru> 1.2.11-alt3
- modprobe patch added (fixes CAN-2004-0986, alternative to upstream)
- zerocounters patch added

* Wed Sep 08 2004 Alexey Voinov <voins@altlinux.ru> 1.2.11-alt2
- freebug patch added (fix for #5055)

* Tue Aug 03 2004 Alexey Voinov <voins@altlinux.ru> 1.2.11-alt1
- new version (1.2.11)
- numeric patch removed
- ccld patch updated
- -n added to service iptables status.

* Thu May 13 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt6
- fixed requirements between subpackages

* Wed May 05 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt5
- replace all references to ld with gcc to prevent problems with
  new glibc. (s/$(LD)/$(CC)/g) [ccld patch]
- replace obsolete _init with __...__((constructor))s

* Tue Mar 23 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt4
- servname patch added. it allows service names as port numbers in
 --to-ports option [#1264]

* Mon Mar 22 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt3
- fixed done message when starting
- libip?tables.so is now explicitly linked with libdl and libiptc

* Fri Jan 30 2004 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt2
- fixed initscript a little (it reports proper status on failure)
- possibiblity to filter iptables config added

* Tue Nov 11 2003 Alexey Voinov <voins@altlinux.ru> 1.2.9-alt1
- new version (1.2.9)

* Thu Aug 28 2003 Alexey Voinov <voins@altlinux.ru> 1.2.8-alt3
- logging patch disabled [it caused sigsegv]
- libiptables and libip6tables was made shared
- post/postun scripts added
- more spec clean up

* Mon Aug 25 2003 Alexey Voinov <voins@altlinux.ru> 1.2.8-alt2
- spec clean up
- devel and devel-static packages added
- deps on kernel removed
- all extenstion modules moved from /usr/lib to /lib

* Thu Aug 14 2003 Peter Novodvorsky <nidd@altlinux.com> 1.2.8-alt1
- added logging patch.
- 1.2.8

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7a-alt1
- 1.2.7a
- Rebuilt in new environment
- Added package iptables-ipv6
- Some spec cleanup
- Completely upgraded initscript's
- Fixed provides

* Tue Apr 16 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.6a-alt1
- 1.2.6a
- Applied patch-o-matic userspace patches
- Fixed numeric bug
- Rebuilt with new kernel

* Mon Mar 11 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.5-alt2
- Rebuilt with new kernel
- Added missed modules
- Fixed detection of NETLINK module

* Thu Jan 24 2002 Konstantin Volckov <goldhead@linux.ru.net> 1.2.5-alt1
- 1.2.5

* Fri Nov 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.4-alt1
- 1.2.4
- Fixed iptables-restore

* Thu Oct 11 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.3-alt2
- Fixed iptables.init scripts

* Tue Sep 4 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.3-alt1
- New version 1.2.3

* Thu Jun 7 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.2 alt1
- New version 1.2.2

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2.1 ipl1
- New version 1.2.1
- init script
- tools iptables-save | iptables-restore

* Fri Feb 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.2-ipl1mdk
- First Build for RE

* Tue Jan 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Sat Dec 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.2-2mdk
- really build it on the alpha with egcs.

* Sat Dec 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.2-1mdk
- shamelessly rip a rpm from Red Hat.
- update to 1.1.2.
- build on alpha as well.

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- build everywhere

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.1

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move iptables to /sbin.
- excludearch alpha for now, not building there because of compiler bug(?)

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- don't obsolete ipchains either
- update to 1.1.0

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- remove explicit kernel requirement

* Tue May  2 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial package
